## kde-style-bespin 0.1~svn100126

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )
 
+option(ENABLE_ARGB "Enable translucent windows" OFF)
+option(ENABLE_AMAROK_HACK "Legacy Amarok hacks" OFF)
 option(ENABLE_KDE "Enable Bespin support for KDE4" ON)
 option(ENABLE_KWIN "Build Bespin KWin decoration" ON)
 option(ENABLE_XBAR "Enable the XBar plasmoid (Mac-Alike-Menubar)" ON)
@@ -12,6 +14,24 @@
 if (ENABLE_KDE)
     find_package(KDE4)
 endif (ENABLE_KDE)
+
+if (ENABLE_ARGB)
+    message (STATUS "WARNING: *** ARGB windows are experimental, performance might suffer ***")
+    add_definitions ( -DBESPIN_ARGB_WINDOWS=1 )
+else (ENABLE_ARGB)
+    add_definitions ( -DBESPIN_ARGB_WINDOWS=0 )
+endif (ENABLE_ARGB)
+
+if (ENABLE_AMAROK_HACK)
+    message (STATUS "WARNING: *** Amarok Hack enabled, notice that this will potentially cause trouble on Amarok
+                       also this is legacy code and supposed to be redundant due to (future) changes to Amarok
+                       Hacks can be disbaled at runtime and should in case of issues with Amarok
+                       By activating this you confirm that you know what you're doing ***")
+    add_definitions ( -DBESPIN_HACK_AMAROK=1 )
+else (ENABLE_AMAROK_HACK)
+    message (STATUS "INFO: Amarok Hacks disabled, not compiling support for amarok hacks.")
+    add_definitions ( -DBESPIN_HACK_AMAROK=0 )
+endif (ENABLE_AMAROK_HACK)
 
 find_package(X11)
 
@@ -30,24 +50,22 @@
    set (CMAKE_INCLUDE_CURRENT_DIR ON)
 endif (KDE4_FOUND)
 
+add_subdirectory (blib)
+
+add_definitions ( -DBLIB_EXPORT=Q_DECL_IMPORT )
+
 #set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
 
 set (bespin_SOURCES animator/basic.cpp animator/aprogress.cpp animator/hover.cpp
 animator/hoverindex.cpp animator/hovercomplex.cpp animator/tab.cpp
-colors.cpp bespin.cpp tileset.cpp oxrender.cpp stylehint.cpp
-sizefromcontents.cpp qsubcmetrics.cpp
-pixelmetric.cpp stdpix.cpp
-visualframe.cpp gradients.cpp init.cpp genpixmaps.cpp polish.cpp
-buttons.cpp docks.cpp frames.cpp input.cpp menus.cpp progress.cpp
-scrollareas.cpp shapes.cpp slider.cpp tabbing.cpp toolbars.cpp
-views.cpp window.cpp hacks.cpp macmenu.cpp paths.cpp filedialog.cpp)
+bespin.cpp buttons.cpp docks.cpp frames.cpp genpixmaps.cpp hacks.cpp init.cpp
+input.cpp macmenu.cpp menus.cpp pixelmetric.cpp polish.cpp progress.cpp qsubcmetrics.cpp
+scrollareas.cpp shapes.cpp sizefromcontents.cpp slider.cpp stdpix.cpp stylehint.cpp
+tabbing.cpp toolbars.cpp views.cpp visualframe.cpp window.cpp )
 
-if ( X11_FOUND )
-   set (bespin_SOURCES ${bespin_SOURCES} xproperty.cpp)
-endif ( X11_FOUND )
-if (X11_Xrender_FOUND)
-   message (STATUS "INFO: XRender was found - kwin deco & FX via GPU available!")
-endif (X11_Xrender_FOUND)
+# if ( X11_FOUND )
+#     set (bespin_SOURCES ${bespin_SOURCES} lib/xproperty.cpp)
+# endif ( X11_FOUND )
 
 set (bespin_MOC_HDRS animator/basic.h animator/aprogress.h animator/hover.h
 animator/hoverindex.h animator/tab.h
@@ -57,8 +75,7 @@
 add_library (bespin SHARED ${bespin_SOURCES} ${bespin_MOC_SRCS})
 
 
-target_link_libraries(bespin  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
-                              ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
+target_link_libraries(bespin QtBespin ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
 if ( X11_FOUND )
    target_link_libraries(bespin ${X11_LIBRARIES})
 endif( X11_FOUND )
