=== debian/changelog ===
kde-style-bespin (0.1~svn100126-0ubuntu2) lucid; urgency=low

  * No change rebuild after incorrect binary package removal

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 10:15:22 +0000

kde-style-bespin (0.1~svn100126-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Jan 2010 19:25:50 -0500

kde-style-bespin (0.1~svn091225-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 25 Dec 2009 12:16:28 -0500

kde-style-bespin (0.1~svn091208-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Add build-depend on libxrender-dev
    - Add build-depend on libxext-dev
  * Fix recommends for all binary packages
  * kwin-style-bespin no longer needs to replace kwin4-style-bespin as it is
    a transitional package in all series that we support for upgrades
  * Port packaging to dh short rules:
    - Use dh short rules with kde addon in debian/rules
    - Remove cdbs build-dep
    - Bump compat to 7
    - Bump pkg-kde-tools build-depend version to (>= 0.5.0)
    - Update .install files for new path

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 08 Dec 2009 19:45:56 -0500

kde-style-bespin (0.1~svn091003-0ubuntu1) lucid; urgency=low

  * New upstream snapshot
  * Drop now-unnecessary kde4-* transitional packages

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 21:02:12 -0500

kde-style-bespin (0.1~svn090802-0ubuntu3) karmic; urgency=low

  * Remove now-unecessary plasmoid-xbar transitional package
  * Bump Standards-Version to 3.8.3, no changes necessary
  * Update Maintainer field to Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 13 Oct 2009 12:39:26 -0400

kde-style-bespin (0.1~svn090802-0ubuntu2) karmic; urgency=low

  * Add forgotten replaces on the old kde4- package, stupid me (LP: #409647)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Aug 2009 00:08:42 -0400

kde-style-bespin (0.1~svn090802-0ubuntu1) karmic; urgency=low

  * New upstream svn snapshot
  * Transition source package to kde-style-bespin:
    - Transition kde4-style-bespin binary package to kde-style-bespin
    - Transition kwin4-style-bespin binary package to kwin-style-bespin
  * Make plasmoid-xbar binary package depend on ${misc:Depends}
  * Transition to kde.mk from pkg-kde-tools:
    - Bump compat to 7
    - Bump debhelper build-depend version to 7
    - Add build-depend on pkg-kde-tools
    - Use kde.mk from pkg-kde-tools rather than kde4.mk from cdbs
    - Include debhelper.mk, kde.mk needs it
    - Update .install file paths
  * Bump Standards-Version to 3.8.2, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 02 Aug 2009 12:41:19 -0400

kde4-style-bespin (0.1~svn090217-0ubuntu2) jaunty; urgency=low

  * Rebuilt for new KDE docs path

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 24 Feb 2009 20:03:01 +0100

kde4-style-bespin (0.1~svn090217-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot
  * debian/control:
    - renamed binary package plasmoid-xbar to plasma-widget-xbar, kept a dummy
      plasmoid-xbar for upgrades
    - kwin4-style-bespin and plasma-widget-xbar now recommend kde4-style-bespin,
      kde4-style-bespin now recommends kwin4-style-bespin and suggests
      plasma-widget-xbar
    - removed quilt build-dep
    - fix debhelper-but-no-misc-depends
  * debian/rules:
    - removed now unnecessary THIS_SHOULD_GO_TO_UNSTABLE := 1
    - simplified get-orig-svn target: use svn export instead of svn co and rm
  * debian/patches/cmake-find-plasma.patch:
    - removed, fixed upstream
  * removed debian/patches
  * renamed debian/manpages to debian/kde4-style-bespin.manpages
  * updated debian/bespin.1
  * debian/copyright:
    - fixed copyright-with-old-dh-make-debian-copyright

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 10 Feb 2009 20:03:55 +0100

kde4-style-bespin (0.1~svn081218-0ubuntu3) jaunty; urgency=low

  * Rebuild again as amd64 got missed in the last one

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Jan 2009 21:30:42 -0500

kde4-style-bespin (0.1~svn081218-0ubuntu2) jaunty; urgency=low

  * Patch CMakeLists.txt to work with annoyingly late in the release cycle
    build system changes
  * Rebuild for abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 16:33:03 -0500

kde4-style-bespin (0.1~svn081218-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot
  * debian/patches/kubuntu_01_fix_configure_button_systemsettings.diff:
    - dropped, applied upstream
  * debian/patches/series:
    - removed reference to kubuntu_01_fix_configure_button_systemsettings.diff
  * debian/control:
    - added binary package kwin4-style-bespin
    - modified Vcs-Bzr to use lp: shortcut
   * added debian/kwin4-style-bespin.install
   * debian/kde4-style-bespin.install:
     - don't install kwin decoration files
     - updated

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 18 Dec 2008 18:11:42 +0100

kde4-style-bespin (0.1~svn080826-0ubuntu3) intrepid; urgency=low

  * debian/kde4-style-bespin.install:
    - added /usr/bin/bespin
  * added kubuntu_01_fix_configure_button_systemsettings.diff (LP: #269598)

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 13 Sep 2008 12:06:01 +0200

kde4-style-bespin (0.1~svn080826-0ubuntu2) intrepid; urgency=low

  * debian/control:
    - added build-dep on quilt, fix FTBFS

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 27 Aug 2008 00:28:22 +0200

kde4-style-bespin (0.1~svn080826-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * Removed debian/cdbs/kde.mk
  * debian/rules:
    - use kde4.mk
  * debian/control:
    - ensure cdbs version is (>= 0.4.52ubuntu2) for kde4.mk
    - added binary package plasmoid-xbar
    - updated Vcs fields location
  * Added debian/kde4-style-bespin.install and debian/plasmoid-xbar.install


