=== debian/control ===
Source: kde-style-bespin
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Martres <smarter@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdebase-workspace-dev,
 libxrender-dev, libxext-dev
Standards-Version: 3.8.3
Homepage: http://cloudcity.sf.net/
Vcs-Bzr: lp:~kubuntu-members/bespin/ubuntu
Vcs-Browser: http://codebrowse.launchpad.net/~kubuntu-members/bespin/ubuntu

Package: kde-style-bespin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-bespin
Suggests: plasma-widget-xbar
Replaces: kde4-style-bespin
Description: A very glossy Qt4 widget style
 Bespin is a widget style for Qt4, the name is nothing about quantum mechanics,
 but just refers to Cloud City (StarWars Episode V: The Empire Strikes Back)

Package: kwin-style-bespin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-bespin
Description: A very glossy KDE4 window decoration
 Bespin is a window decoration for KDE4, the name is nothing about quantum mechanics,
 but just refers to Cloud City (StarWars Episode V: The Empire Strikes Back)

Package: plasma-widget-xbar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-bespin
Description: Topscreen menubar and simple taskbar Plasma widget
 A plasma widget providing a topscreen menubar and a taskbar similar to Mac OS X.
 It works better if the KDE4 Bespin widget style is in use.
